<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RDirectoryUri StructType
 * @subpackage Structs
 */
class RDirectoryUri extends AbstractStructBase
{
    /**
     * The isPrimary
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isPrimary;
    /**
     * The uri
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $uri;
    /**
     * The partition
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $partition;
    /**
     * The advertiseGloballyViaIls
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $advertiseGloballyViaIls;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RDirectoryUri
     * @uses RDirectoryUri::setIsPrimary()
     * @uses RDirectoryUri::setUri()
     * @uses RDirectoryUri::setPartition()
     * @uses RDirectoryUri::setAdvertiseGloballyViaIls()
     * @uses RDirectoryUri::setUuid()
     * @param string $isPrimary
     * @param string $uri
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition
     * @param string $advertiseGloballyViaIls
     * @param string $uuid
     */
    public function __construct($isPrimary = null, $uri = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition = null, $advertiseGloballyViaIls = null, $uuid = null)
    {
        $this
            ->setIsPrimary($isPrimary)
            ->setUri($uri)
            ->setPartition($partition)
            ->setAdvertiseGloballyViaIls($advertiseGloballyViaIls)
            ->setUuid($uuid);
    }
    /**
     * Get isPrimary value
     * @return string|null
     */
    public function getIsPrimary()
    {
        return $this->isPrimary;
    }
    /**
     * Set isPrimary value
     * @param string $isPrimary
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirectoryUri
     */
    public function setIsPrimary($isPrimary = null)
    {
        $this->isPrimary = $isPrimary;
        return $this;
    }
    /**
     * Get uri value
     * @return string|null
     */
    public function getUri()
    {
        return $this->uri;
    }
    /**
     * Set uri value
     * @param string $uri
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirectoryUri
     */
    public function setUri($uri = null)
    {
        $this->uri = $uri;
        return $this;
    }
    /**
     * Get partition value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getPartition()
    {
        return $this->partition;
    }
    /**
     * Set partition value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirectoryUri
     */
    public function setPartition(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $partition = null)
    {
        $this->partition = $partition;
        return $this;
    }
    /**
     * Get advertiseGloballyViaIls value
     * @return string|null
     */
    public function getAdvertiseGloballyViaIls()
    {
        return $this->advertiseGloballyViaIls;
    }
    /**
     * Set advertiseGloballyViaIls value
     * @param string $advertiseGloballyViaIls
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirectoryUri
     */
    public function setAdvertiseGloballyViaIls($advertiseGloballyViaIls = null)
    {
        $this->advertiseGloballyViaIls = $advertiseGloballyViaIls;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDirectoryUri
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
